/// <reference types="react" />
import { BaseExpression } from "../BaseExpression";
import { ExpressionValue } from "../ExpressionValue";
import { ExpressionEditContext } from "./ExpressionEditContext";
import { IBaseExpressionElement } from "./IBaseExpressionElement";
import { XExecutionData } from "../../Common/Data/ExecutionData/XExecutionData";
import { ITestingContext } from "../../Common/Testing/ITestingContext";
export declare class RootExpression extends BaseExpression {
    readonly __type: string;
    expressionRoot: ExpressionValue;
    readonly canSelect: boolean;
    constructor();
    getExpressionValues(): ExpressionValue[];
    render(): JSX.Element;
    setEditContext(selection: ExpressionEditContext, owner: IBaseExpressionElement): void;
    evaluate(data: XExecutionData, testContext: ITestingContext | undefined): any;
}
